summaryrefslogtreecommitdiff
path: root/tests/misc/stat-hyphen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stat-hyphen.sh')
-rwxr-xr-xtests/misc/stat-hyphen.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/misc/stat-hyphen.sh b/tests/misc/stat-hyphen.sh
new file mode 100755
index 000000000..a6b524362
--- /dev/null
+++ b/tests/misc/stat-hyphen.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# demonstrate that stat - works and stat -f - does not.
+
+# Copyright (C) 2009-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ stat
+
+printf -- '-\n' > exp || framework_failure_
+touch f || framework_failure_
+
+stat --format=%n - < f > out || fail=1
+stat -f - < f && fail=1
+
+compare exp out || fail=1
+
+Exit $fail